== Why is this an issue?

:noncompliant: php/noncompliant.adoc

:compliant: php/compliant.adoc

include::../description.adoc[]


=== Exceptions

Exclusively chained shorthand ternary operators ``++?:++`` are excluded from this rule.

[source,php]
----
$result = $option1 ?: $option2 ?: 'default'; // Compliant by exception
----

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

include::../highlighting.adoc[]

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
